org.apache.ignite.internal.processors.query.h2.twostep.messages

## Class GridQueryNextPageResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.query.h2.twostep.messages.GridQueryNextPageResponse

All Implemented Interfaces:
  Externalizable, Serializable, Message

    public class GridQueryNextPageResponse
    extends Object
    implements Externalizable, Message

Next page response.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridQueryNextPageResponse()` For `Externalizable`.
`GridQueryNextPageResponse(long qryReqId, int qry, int page, int allRows, byte[] rows)`

### Method Summary

Methods
`int` `allRows()`
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`int` `page()`
`int` `query()`
`long` `queryRequestId()`
`void` `readExternal(ObjectInput in)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`byte[]` `rows()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridQueryNextPageResponse

    public GridQueryNextPageResponse()

For `Externalizable`.

#### GridQueryNextPageResponse

    public GridQueryNextPageResponse(long qryReqId,
                             int qry,
                             int page,
                             int allRows,
                             byte[] rows)

Parameters:
  `qryReqId` - Query request ID.
  `qry` - Query.
  `page` - Page.
  `allRows` - All rows count.
  `rows` - Rows.

### Method Detail

#### queryRequestId

    public long queryRequestId()

Returns:
  Query request ID.

#### query

    public int query()

Returns:
  Query.

#### page

    public int page()

Returns:
  Page.

#### allRows

    public int allRows()

Returns:
  All rows.

#### rows

    public byte[] rows()

Returns:
  Rows.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015